<?php


namespace App\Controller;


use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/number-of-sold-by-params/{interval}/{start_date}/{end_date}", name="number_of_sold_by_params")
 */
class NumberOfSoldByParams extends AbstractController
{
    /**
     * Entity Manager
     */
    private $em;
    public function __construct(EntityManagerInterface $em) {
        $this->em = $em;
    }

    public static $INTERVAL_DAY = 'day';
    public static $INTERVAL_MONTH = 'month';
    public static $INTERVAL_YEAR = 'year';

    public function __invoke(Request $request, $interval, $start_date, $end_date) {
        $sold_houses = $this->em->getRepository('App:ValeursFonciere')->getNumberOfSoldItemsByParameters($interval, $start_date, $end_date);
        foreach ($sold_houses as &$sold_house){
            $sold_house['year'] = intval($sold_house['year']);
            if($interval == self::$INTERVAL_DAY){
                $sold_house['month'] = intval($sold_house['month']);
                $sold_house['day'] = intval($sold_house['day']);
            }elseif ($interval == self::$INTERVAL_MONTH){
                $sold_house['month'] = intval($sold_house['month']);
            }
            $sold_house['number_of_sold'] = floatval($sold_house['number_of_sold']);
        }
        $res = new JsonResponse(
            $sold_houses,
            Response::HTTP_OK
        );
        return $res;
    }
}
