import React from 'react';
import { Route } from 'react-router-dom';
import { List, Create, Update, Show } from '../components/valeursfonciere/';
import GraphsMeanPriceForSquaredMeter from '../components/graphs/GraphsMeanPriceForSquaredMeter'
import GraphsSoldItemsAccordingToTimeInterval from '../components/graphs/GraphsSoldItemsAccordingToTimeInterval'
import GraphsSoldItemsByRegion from '../components/graphs/GraphsSoldItemsByRegion'

export default [
  <Route path="/valeurs_foncieres/create" component={Create} exact key="create" />,
  <Route path="/valeurs_foncieres/edit/:id" component={Update} exact key="update" />,
  <Route path="/valeurs_foncieres/show/:id" component={Show} exact key="show" />,
  <Route path="/valeurs_foncieres/" component={List} exact strict key="list" />,
  <Route path="/valeurs_foncieres/:page" component={List} exact strict key="page" />,
  <Route path="/graphs/mean-price-for-squared-meter" component={GraphsMeanPriceForSquaredMeter} exact strict key="graphs1" />,
  <Route path="/graphs/sold-items-according-to-time-interval" component={GraphsSoldItemsAccordingToTimeInterval} exact strict key="graphs2" />,
  <Route path="/graphs/sold-items-by-region" component={GraphsSoldItemsByRegion} exact strict key="graphs3" />
];
